<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varMar =  $varForm["mcod"];
	$varTip =  $varForm["tcod"];
	$varMat =  $varForm["xcod"];
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? "'".$varForm["cod"]."'":"NULL";
	$varNom = (isset($varForm["nam"]) && $varForm["nam"]<>'')? "'".$varForm["nam"]."'":"NULL";
	$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	$sql = "call spQuery_Producto($varCod, $varNom, $varPro, '$varForm[tcod]', '$varForm[tcod]$varForm[fcod]', '$varForm[sub]', '$varMar','$varMat', $varFie, $varOrd)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";
	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsProducto($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xFormuRegistro($varCod, $varOpt) {
	$var = VarServer("MYSQLI");
	$obj = new clsProducto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varCod, $varOpt);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsProducto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsProducto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$resul = $obj->ProcesoGrabar($varForm);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	//$respuestaXajax->alert($resul);
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsProducto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	return true;
	}

//$xajax->setCharEncoding("ISO-8859-1");
$xajax->register(XAJAX_FUNCTION, 'comboUM');
$xajax->register(XAJAX_FUNCTION, 'comboFamilia');
$xajax->register(XAJAX_FUNCTION, 'comboSubFamilia');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_marca');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_familia');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_subfamilia');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_material');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);		
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xGrabarJS() {
		if (xajax.$("pro") && xajax.$("pro").value == "Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PROVEEDOR");  
			xajax.$("pro").focus();
			return (false); 
			}
		else if (xajax.$("tip") && xajax.$("tip").value == "Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA LINEA DEL PRODUCTO");  
			xajax.$("tip").focus();
			return (false); 
			}
		else if (xajax.$("fam") && xajax.$("fam").value == "Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FAMILIA DEL PRODUCTO");  
			xajax.$("fam").focus();
			return (false); 
			}
		else if (xajax.$("sub") && xajax.$("sub").value == "Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA SUB FAMILIA DEL PRODUCTO");  
			xajax.$("sub").focus();
			return (false); 
			}
		else if (xajax.$("nam") && xajax.$("nam").value == "") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR LA DESCRIPCION DEL PRODUCTO");  
			xajax.$("nam").focus();
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}
	function xEliminarJS(varCod, varNom, varTab) {		
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n====================================\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
				
		}
	function FormuRegistroJS(varCod, varOpt) {
		UnTip();
		xajax_xFormuRegistro(varCod, varOpt);		
		}
</script>
<?php

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	if(!isset($Opcion)) {
		echo "<div id=\"divForm\">";
		echo $obj->FormuBusqueda();
		echo "<div id=\"divDatos\">";
		//echo $obj->GridDatos();		
		echo "</div>";
		echo "</div>";
		}	
	} 
?>